org.eclipse.eef.core.api.controllers

## Class AbstractEEFController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController

All Implemented Interfaces:
  IEEFController

Direct Known Subclasses:
  AbstractEEFWidgetController, EEFGroupController, EEFSectionController

    public abstract class AbstractEEFController
    extends java.lang.Object
    implements IEEFController

Superclass of all the controllers containing some utility methods.

### Field Summary

Fields
`protected org.eclipse.sirius.common.interpreter.api.IInterpreter` `interpreter` The interpreter.
`protected org.eclipse.sirius.common.interpreter.api.IVariableManager` `variableManager` The variable manager.

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)` The constructor.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract org.eclipse.emf.ecore.EObject` `getValidationRulesContainer()` Returns the EObject containing the validation rules.
`protected abstract org.eclipse.emf.ecore.EReference` `getValidationRulesReference()` Returns the EReference containing the validation rules.
`protected EvalFactory.Eval<java.lang.Object>` `newEval()` Returns a new `EvalFactory.Eval` instance initialized with the `IInterpreter` and the `IVariableManager`.
`void` `onValidation(IConsumer<java.util.List<IValidationRuleResult>> consumer)` Registers a consumer which will be called with the validation status.
`void` `refresh()` Refresh the controller.
`void` `removeValidationConsumer()` Removes the consumer of the validation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### interpreter

    protected org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter

The interpreter.

#### variableManager

    protected org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager

The variable manager.

### Constructor Detail

#### AbstractEEFController

    public AbstractEEFController(org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                                 org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter)

The constructor.

Parameters:
  `variableManager` - The variable manager
  `interpreter` - The interpreter

### Method Detail

#### newEval

    protected EvalFactory.Eval<java.lang.Object> newEval()

Returns a new `EvalFactory.Eval` instance initialized with the `IInterpreter` and the `IVariableManager`.

Returns:
  a new Eval.

#### onValidation

    public void onValidation(IConsumer<java.util.List<IValidationRuleResult>> consumer)

Registers a consumer which will be called with the validation status.

Specified by:
  `onValidation` in interface `IEEFController`
Parameters:
  `consumer` - The consumer of the validation status
See Also:
  `IEEFController.onValidation(org.eclipse.eef.core.api.controllers.IConsumer)`

#### removeValidationConsumer

    public void removeValidationConsumer()

Removes the consumer of the validation.

Specified by:
  `removeValidationConsumer` in interface `IEEFController`
See Also:
  `IEEFController.removeValidationConsumer()`

#### refresh

    public void refresh()

Refresh the controller.

Specified by:
  `refresh` in interface `IEEFController`
See Also:
  `IEEFController.refresh()`

#### getValidationRulesContainer

    protected abstract org.eclipse.emf.ecore.EObject getValidationRulesContainer()

Returns the EObject containing the validation rules.

Returns:
  The EObject containing the validation rules

#### getValidationRulesReference

    protected abstract org.eclipse.emf.ecore.EReference getValidationRulesReference()

Returns the EReference containing the validation rules.

Returns:
  The EReference containing the validation rules.